""" mxODBC - A generic ODBC interface for Python

    (c) Copyright Marc-Andre Lemburg; All Rights Reserved.
    See the documentation for further information on copyrights,
    or contact the author (mal@lemburg.com).
"""
__package_info__ = """
BEGIN PYTHON-PACKAGE-INFO 1.0
Title:			mxODBC - An ODBC interface
Current-Version:	1.1.1
Home-Page:		http://starship.skyport.net/~lemburg/mxODBC.html
Primary-Site:		http://starship.skyport.net/~lemburg/mxODBC-1.1.1.zip

This package contains a general interface to databases using ODBC
or ODBC driver managers. It was written to run on Unix platforms,
but should just as well work on Windows machines too.
For full documentation see the home page.
END PYTHON-PACKAGE-INFO
"""
# Test if the mxDateTime package is properly installed:
import DateTime # mxDateTime package must be installed first !
del DateTime

### Lazy import supported submodules
import LazyModule

Adabas = LazyModule.LazyModule('Adabas',locals(),globals())
MySQL = LazyModule.LazyModule('MySQL',locals(),globals())
Oracle = LazyModule.LazyModule('Oracle',locals(),globals())
Solid = LazyModule.LazyModule('Solid',locals(),globals())
Windows = LazyModule.LazyModule('Windows',locals(),globals())
Solid = LazyModule.LazyModule('Solid',locals(),globals())
Informix = LazyModule.LazyModule('Informix',locals(),globals())
Sybase = LazyModule.LazyModule('Sybase',locals(),globals())
iODBC = LazyModule.LazyModule('iODBC',locals(),globals())
EasySoft = LazyModule.LazyModule('EasySoft',locals(),globals())

del LazyModule

### Now the other generic stuff
from ODBC import *
